// 查询数据表结构
function getTableStruct(tableId) {
    let validated = validateTableId(tableId)
    if (!validated) {
        return validated
    }

    const res = SQL.cache.query('system_sql', 180,
        `SELECT * FROM dm_table_columns WHERE table_id = '${tableId}';`)
    return res
}

// 查询数据表结构
function getTableMeta(tableId) {
    let validated = validateTableId(tableId)
    if (!validated) {
        return validated
    }

    const res = SQL.cache.query('system_sql', 180,
        `SELECT * FROM dm_tables WHERE table_id = '${tableId}';`
    )
    if (res.length == 0) {
        return false
    }
    return res[0]
}

function validateTableId(tableId) {
    // 过滤字符 tableId 规则为 0-9a-zA-Z
    if (/^[0-9a-zA-Z]+$/.test(tableId)) {
        return true
    }
    return false
}